Bug 193433 - Network card (atmel) does not come back up after suspend
Network card (atmel) does not come back up after suspend
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-05-28 09:57 EDT by Armijn Hemel
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-17 11:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Armijn Hemel 2006-05-28 09:57:27 EDT
Description of problem:

I have a NIC (PC-Card, Sitecom WL-011, Atmel based). When I suspend my laptop
and bring it back up the network connection is down and doesn't automagically
come back up. My system is FC5 with all updates installed up until May 28.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot laptop with atmel_cs card
2. suspend
3. wake up laptop
Actual results:

Network interface is down.

Expected results:

Network interface should come up.

Additional info:

The network interface comes up again after I unplug and replug the card, but it
is rather inconvenient.
Comment 1 Dave Jones 2006-10-16 16:44:50 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Armijn Hemel 2006-12-17 11:58:05 EST
Retested with FC6. If I properly configure the network interface in
/etc/sysconfig, it comes back up. It's not a bug. Adding it to /etc/sysconfig is
something that might be improved though, I will add a seperate bug report for that.

Note You need to log in before you can comment on or make changes to this bug.